summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'mail-filter/opendmarc')
-rw-r--r--mail-filter/opendmarc/Manifest3
-rw-r--r--mail-filter/opendmarc/files/opendmarc.confd3
-rw-r--r--mail-filter/opendmarc/files/opendmarc.initd51
-rw-r--r--mail-filter/opendmarc/metadata.xml15
-rw-r--r--mail-filter/opendmarc/opendmarc-1.1.3.ebuild25
-rw-r--r--mail-filter/opendmarc/opendmarc-1.3.0.ebuild54
-rw-r--r--mail-filter/opendmarc/opendmarc-1.3.1.ebuild54
7 files changed, 205 insertions, 0 deletions
diff --git a/mail-filter/opendmarc/Manifest b/mail-filter/opendmarc/Manifest
new file mode 100644
index 00000000000..c05ad3bd58c
--- /dev/null
+++ b/mail-filter/opendmarc/Manifest
@@ -0,0 +1,3 @@
+DIST opendmarc-1.1.3.tar.gz 586574 SHA256 4f9511ebd8cefb6e5a4d836f6285a1b6e4d682daec79fdba9fc7925b5f4fcfca SHA512 30de56b6da1665e0ed68484702bfcfcbd0b65275053818c807c16dea26f0e014a0484dc9d5ed6d1405628ea22a61082f13cecf66714a414139f612c51a294086 WHIRLPOOL 7364dfd213fb05f1d58eecb940a95eb1328b78204c0a12a341a0a6cdf48aa8c638b0e4e4ed0c7fa51e72fb11ab68da386050124741a8215c4aec788b7da0d8b2
+DIST opendmarc-1.3.0.tar.gz 640017 SHA256 43547c5bcd440e1a50109063ba1d07bd5b1b9af89f7491e063fe0788a1af13e8 SHA512 c685cae0e02a72b797f24a28b9965f8745f165a3ce3a8f3f2e0167ebf6121e92389990870271204ca02b06703f4ad98c6d343345478040f7fc4013b1ce331b03 WHIRLPOOL 80d9720c1e52c4d9d7f35a89d58075108b5011f0c4fdafc24733a648eb926c0373f617e3cdb76bc1ea19ff8074d4b63425fb06129849ec521f861d28cea83295
+DIST opendmarc-1.3.1.tar.gz 640151 SHA256 a0c0cf74de68454cbdce16a3095b96e70fc16614325052ea230878d1ca64da6b SHA512 0be11540bc26bd3b3e6cc9817bc379a5d290b63ef16c5d3559bf96b241ad6628bea7a9daeb468afac855bc16be16676f722b3c1d468ea82c8d8364e8a8137226 WHIRLPOOL 2a892d1dbe46ec9fb3fd5aad3b5f38046c9f4be6a5ee6dcdf4e0f03cd09b663243844010db0d328fef361a0615284256ba649714a79ecc9970797aa01101631d
diff --git a/mail-filter/opendmarc/files/opendmarc.confd b/mail-filter/opendmarc/files/opendmarc.confd
new file mode 100644
index 00000000000..ef59affa3f8
--- /dev/null
+++ b/mail-filter/opendmarc/files/opendmarc.confd
@@ -0,0 +1,3 @@
+# user/group to run opendmarc daemon as
+OPENDMARC_USER=milter
+OPENDMARC_GROUP=milter
diff --git a/mail-filter/opendmarc/files/opendmarc.initd b/mail-filter/opendmarc/files/opendmarc.initd
new file mode 100644
index 00000000000..d70afd75e72
--- /dev/null
+++ b/mail-filter/opendmarc/files/opendmarc.initd
@@ -0,0 +1,51 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+CONFFILE="/etc/opendmarc/${SVCNAME}.conf"
+
+depend() {
+ use dns logger net
+ before mta
+}
+
+check_cfg() {
+ if [ ! -f "${CONFFILE}" ] ; then
+ eerror "Configuration file ${CONFFILE} is missing"
+ return 1
+ fi
+ PIDFILE=$(sed -ne 's/^[[:space:]]*PidFile[[:space:]]\+//p' "${CONFFILE}")
+ local PIDDIR="${PIDFILE%/*}"
+ if [ ! -d "${PIDDIR}" ] ; then
+ checkpath -q -d -o ${OPENDMARC_USER}:${OPENDMARC_GROUP} -m 0755 "${PIDDIR}" || return 1
+ fi
+ if [ -z "${PIDFILE}" ] ; then
+ eerror "Configuration file needs PidFile setting - recommend adding 'PidFile /var/run/opendmarc/${SVCNAME}.pid' to ${CONFFILE}"
+ return 1
+ fi
+ if egrep -q '^[[:space:]]*Background[[:space:]]+false' "${CONFFILE}" ; then
+ eerror "${SVCNAME} service cannot run with Background key set to false!"
+ return 1
+ fi
+
+ ebegin "Checking your configfile (${CONFFILE})"
+ opendmarc -c "${CONFFILE}" -n
+ eend $? "Configuration error. Please fix your configfile (${CONFFILE})"
+}
+
+start() {
+ check_cfg || return 1
+
+ ebegin "Starting OpenDMARC"
+ start-stop-daemon --start --pidfile "${PIDFILE}" \
+ --exec /usr/sbin/opendmarc -- -c "${CONFFILE}"
+ eend $?
+}
+
+stop() {
+ check_cfg || return 1
+ ebegin "Stopping OpenDMARC"
+ start-stop-daemon --stop --pidfile "${PIDFILE}"
+ eend $?
+}
diff --git a/mail-filter/opendmarc/metadata.xml b/mail-filter/opendmarc/metadata.xml
new file mode 100644
index 00000000000..62881648821
--- /dev/null
+++ b/mail-filter/opendmarc/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-mail</herd>
+ <maintainer>
+ <email>grobian@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">opendmarc</remote-id>
+ </upstream>
+ <use>
+ <flag name='spf'>Use the <pkg>mail-filter/libspf2</pkg>
+ for Sender Policy Framework checking</flag>
+ </use>
+</pkgmetadata>
diff --git a/mail-filter/opendmarc/opendmarc-1.1.3.ebuild b/mail-filter/opendmarc/opendmarc-1.1.3.ebuild
new file mode 100644
index 00000000000..1060ccf3957
--- /dev/null
+++ b/mail-filter/opendmarc/opendmarc-1.1.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Open source DMARC implementation "
+HOMEPAGE="http://www.trusteddomain.org/opendmarc/"
+SRC_URI="mirror://sourceforge/opendmarc/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="dev-perl/DBI
+ || ( mail-filter/libmilter mail-mta/sendmail )"
+RDEPEND="${DEPEND}
+ dev-perl/Switch"
+
+src_configure() {
+ econf \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
diff --git a/mail-filter/opendmarc/opendmarc-1.3.0.ebuild b/mail-filter/opendmarc/opendmarc-1.3.0.ebuild
new file mode 100644
index 00000000000..e890ce05a5d
--- /dev/null
+++ b/mail-filter/opendmarc/opendmarc-1.3.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit user
+
+DESCRIPTION="Open source DMARC implementation "
+HOMEPAGE="http://www.trusteddomain.org/opendmarc/"
+SRC_URI="mirror://sourceforge/opendmarc/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~x86 ~x86-fbsd"
+IUSE="spf"
+
+DEPEND="dev-perl/DBI
+ || ( mail-filter/libmilter mail-mta/sendmail )"
+RDEPEND="${DEPEND}
+ dev-perl/Switch
+ spf? ( mail-filter/libspf2 )"
+
+pkg_setup() {
+ enewgroup milter
+ enewuser milter -1 -1 /var/lib/milter milter
+}
+
+src_configure() {
+ econf \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ $(use_with spf)
+}
+
+src_install() {
+ default
+
+ newinitd "${FILESDIR}"/opendmarc.initd opendmarc
+ newconfd "${FILESDIR}"/opendmarc.confd opendmarc
+
+ dodir /etc/opendmarc
+ dodir /var/run/opendmarc
+ fowners milter:milter /var/run/opendmarc
+
+ # create config file
+ sed \
+ -e 's/^# UserID .*$/UserID milter/' \
+ -e 's/^# PidFile .*/PidFile \/var\/run\/opendmarc\/opendmarc.pid/' \
+ -e '/^# Socket /s/^# //' \
+ "${S}"/opendmarc/opendmarc.conf.sample \
+ > "${ED}"/etc/opendmarc/opendmarc.conf \
+ || die
+}
diff --git a/mail-filter/opendmarc/opendmarc-1.3.1.ebuild b/mail-filter/opendmarc/opendmarc-1.3.1.ebuild
new file mode 100644
index 00000000000..e890ce05a5d
--- /dev/null
+++ b/mail-filter/opendmarc/opendmarc-1.3.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit user
+
+DESCRIPTION="Open source DMARC implementation "
+HOMEPAGE="http://www.trusteddomain.org/opendmarc/"
+SRC_URI="mirror://sourceforge/opendmarc/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~x86 ~x86-fbsd"
+IUSE="spf"
+
+DEPEND="dev-perl/DBI
+ || ( mail-filter/libmilter mail-mta/sendmail )"
+RDEPEND="${DEPEND}
+ dev-perl/Switch
+ spf? ( mail-filter/libspf2 )"
+
+pkg_setup() {
+ enewgroup milter
+ enewuser milter -1 -1 /var/lib/milter milter
+}
+
+src_configure() {
+ econf \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ $(use_with spf)
+}
+
+src_install() {
+ default
+
+ newinitd "${FILESDIR}"/opendmarc.initd opendmarc
+ newconfd "${FILESDIR}"/opendmarc.confd opendmarc
+
+ dodir /etc/opendmarc
+ dodir /var/run/opendmarc
+ fowners milter:milter /var/run/opendmarc
+
+ # create config file
+ sed \
+ -e 's/^# UserID .*$/UserID milter/' \
+ -e 's/^# PidFile .*/PidFile \/var\/run\/opendmarc\/opendmarc.pid/' \
+ -e '/^# Socket /s/^# //' \
+ "${S}"/opendmarc/opendmarc.conf.sample \
+ > "${ED}"/etc/opendmarc/opendmarc.conf \
+ || die
+}